# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "ribir_text"
version = "0.4.0-alpha.65"
authors = ["RibirX<Adoo@outlook.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A non-intrusive declarative GUI framework, to build modern native/wasm cross-platform applications."
homepage = "https://ribir.org"
documentation = "https://ribir.org/docs/introduction"
readme = "README.md"
keywords = [
    "gui",
    "ui",
    "declarative",
    "compose-ui",
]
categories = ["gui"]
license = "MIT"
repository = "https://github.com/RibirX/Ribir/text"
resolver = "2"

[lib]
name = "ribir_text"
path = "src/lib.rs"

[dependencies.ahash]
version = "0.8.11"

[dependencies.bitflags]
version = "2.6.0"

[dependencies.derive_more]
version = "2.0.1"
features = [
    "add",
    "add_assign",
    "mul",
    "not",
]

[dependencies.font-types]
version = "0.7.3"

[dependencies.parley]
version = "0.8.0"

[dependencies.quick-xml]
version = "0.38.4"

[dependencies.read-fonts]
version = "0.22.7"

[dependencies.ribir_algo]
version = "0.4.0-alpha.65"

[dependencies.ribir_types]
version = "0.4.0-alpha.65"

[dependencies.swash]
version = "0.1.18"

[dependencies.tracing]
version = "0.1.41"
features = ["log"]

[dependencies.unicode-segmentation]
version = "1.9.0"
